
execute as @e[type=item] if data entity @s Item.tag.ReadyItem run kill @s

execute as @a unless data entity @s Inventory[{Slot:4b}].tag.ReadyItem run clear @s player_head

execute if entity @e[tag=x,tag=enableTeams] run function main:ready/teams
execute if entity @e[tag=x,tag=!enableTeams] run function main:ready/solo

execute as @a[tag=isReady,nbt=!{SelectedItem:{tag:{ReadyItem:1}}}] run function main:ready/player_not_ready
execute as @a[tag=!isReady,nbt={SelectedItem:{tag:{ReadyItem:0}}}] run function main:ready/player_ready

execute at @a[tag=isReady] run particle minecraft:happy_villager ~ ~2.2 ~ 0 0 0 0.05 0 force @a


execute as @e[type=item] if data entity @s Item.tag.ToggleSpectator run kill @s

execute as @a[team=Lobby,nbt={Inventory:[{Slot:102b,tag:{ToggleSpectator:1}}]}] run function main:ready/spectator/join
execute as @a[team=Spectator,nbt={Inventory:[{Slot:102b,tag:{ToggleSpectator:1}}]}] run function main:ready/spectator/leave

clear @a[team=!Lobby,team=!Spectator] elytra
execute as @a unless data entity @s Inventory[{Slot:8b}].tag.ToggleSpectator run clear @s elytra

execute if entity @e[tag=x,tag=!startingTimer] run replaceitem entity @a[team=Lobby] hotbar.8 minecraft:elytra{ToggleSpectator:1,display:{Name:'{"text":"Join Spectator ▪ Right-Click","color":"gray","italic":false}',Lore:['[{"text":"» ","color":"white","italic":false},{"text":"Right-click to join","color":"white","italic":false}]','{"text":"the spectator team","color":"white","italic":false}']}}
execute if entity @e[tag=x,tag=!startingTimer] run replaceitem entity @a[team=Spectator] hotbar.8 minecraft:elytra{ToggleSpectator:1,display:{Name:'{"text":"Leave Spectator ▪ Right-Click","color":"gray","italic":false}',Lore:['[{"text":"» ","color":"white","italic":false},{"text":"Right-click to join","color":"white","italic":false}]','{"text":"the spectator team","color":"white","italic":false}']},HideFlags:63,Enchantments:[{id:"minecraft:unbreaking",lvl:1}]}

execute as @a run trigger forceSolo add 0
execute as @a run trigger forceTeams add 0

execute if entity @a[team=Lobby] if entity @e[tag=x,tag=enableTeams,scores={sTeams=1},tag=redIsReady,tag=blueIsReady] run function main:ready/force/teams
execute if entity @a[team=Lobby] if entity @e[tag=x,tag=enableTeams,scores={sTeams=2},tag=redIsReady,tag=blueIsReady,tag=greenIsReady] run function main:ready/force/teams
execute if entity @a[team=Lobby] if entity @e[tag=x,tag=enableTeams,scores={sTeams=3},tag=redIsReady,tag=blueIsReady,tag=greenIsReady,tag=yellowIsReady] run function main:ready/force/teams

execute if entity @e[tag=x,tag=!enableTeams] if entity @a[tag=!isReady] at @p[tag=isReady] if entity @a[tag=isReady,distance=0.0001..] run function main:ready/force/solo

execute if entity @a[scores={forceSolo=1..}] run function main:ready/force/run/solo
execute if entity @a[scores={forceTeams=1..}] run function main:ready/force/run/teams

execute if entity @e[tag=x,tag=!forceExecuted] if score ForceStart timer = ForceStart timer run scoreboard players reset ForceStart timer
tag @e[tag=x] remove forceExecuted
