
execute if score Points sItemStolen matches 0 run function main:tools/death_points_random
execute if score Points sItemStolen matches 1.. run scoreboard players operation #NbPoints killer = Points sItemStolen
scoreboard players operation @s scoresSingle -= #NbPoints killer
execute if score @s scoresSingle matches ..-1 run scoreboard players operation #NbPoints killer += @s scoresSingle
execute if score @s scoresSingle matches ..-1 run scoreboard players set @s scoresSingle 0

scoreboard players operation @a[team=!Spectator,scores={killer=1..},limit=1,sort=nearest,distance=0.00001..] scoresSingle += #NbPoints killer

execute if entity @a[team=!Spectator,scores={killer=1..},distance=0.00001..] run tellraw @a ["",{"text":"\u2261 "},{"selector":"@s"},{"text":" has been killed by ","color":"gray"},{"selector":"@a[team=!Spectator,scores={killer=1..},limit=1,sort=nearest,distance=0.00001..]"},{"text":" \u2620","color":"gray"},{"text":" ("},{"score":{"name":"#NbPoints","objective":"killer"}},{"text":" point(s) lost)"}]
execute unless entity @a[team=!Spectator,scores={killer=1..},distance=0.00001..] if entity @s[tag=!withered] run tellraw @a ["",{"text":"\u2261 "},{"selector":"@s"},{"text":" has died","color":"gray"},{"text":" \u2620","color":"gray"},{"text":" ("},{"score":{"name":"#NbPoints","objective":"killer"}},{"text":" point(s) lost)"}]
execute unless entity @a[team=!Spectator,scores={killer=1..},distance=0.00001..] if entity @s[tag=withered] run tellraw @a ["",{"text":"\u2261 "},{"selector":"@s"},{"text":" has drowned","color":"gray"},{"text":" \u2620","color":"gray"},{"text":" ("},{"score":{"name":"#NbPoints","objective":"killer"}},{"text":" point(s) lost)"}]
execute unless entity @a[team=!Spectator,scores={killer=1..},distance=0.00001..] if entity @s[tag=withered] run advancement grant @s[tag=step2] only main:drowning
execute as @s at @s run particle minecraft:cloud ~ ~1 ~ 0.1 0.5 0.1 0.2 30 force @a
execute as @s at @s run playsound minecraft:entity.illusioner.mirror_move master @a ~ ~ ~ 1 1
execute as @s at @s run playsound minecraft:entity.evoker.cast_spell master @s ~ ~ ~ 1 0.8

setblock 0 0 0 air
execute unless score #NbPoints killer matches 1 run setblock 0 0 0 oak_sign{Text1:'[{"text":"+","color":"green"},{"score":{"objective":"killer","name":"#NbPoints"}},{"text":" Point"}]',Text2:'[{"text":"-","color":"red"},{"score":{"objective":"killer","name":"#NbPoints"}},{"text":" Point"}]'}
execute if score #NbPoints killer matches 2.. run setblock 0 0 0 oak_sign{Text1:'[{"text":"+","color":"green"},{"score":{"objective":"killer","name":"#NbPoints"}},{"text":" Points"}]',Text2:'[{"text":"-","color":"red"},{"score":{"objective":"killer","name":"#NbPoints"}},{"text":" Points"}]'}

execute at @s run summon armor_stand ~ ~0.2 ~ {Tags:["asPoint","DeathPoints"],Marker:1b,Small:1b,Invisible:1b,CustomNameVisible:1b}
execute at @s run data modify entity @e[tag=DeathPoints,sort=nearest,limit=1] CustomName set from block 0 0 0 Text2
execute at @a[team=!Spectator,scores={killer=1..},limit=1,sort=nearest,distance=0.00001..] run summon armor_stand ~ ~0.2 ~ {Tags:["asPoint","DeathPoints"],Marker:1b,Small:1b,Invisible:1b,CustomNameVisible:1b}
execute at @a[team=!Spectator,scores={killer=1..},limit=1,sort=nearest,distance=0.00001..] run data modify entity @e[tag=DeathPoints,sort=nearest,limit=1] CustomName set from block 0 0 0 Text1


execute if entity @e[tag=x,tag=enableTeams] run function main:game/update_teamscore
execute if entity @e[tag=x,tag=enableTeams] as @a[team=!Spectator,scores={killer=1..},limit=1,sort=nearest,distance=0.00001..] run function main:game/update_teamscore
function main:tools/rank/solo/run
function main:tools/rank/team/run

scoreboard players reset @a[team=!Spectator,scores={killer=1..},limit=1,sort=nearest,distance=0.00001..] killer
